Linear Collider Forum

Home » Software Tools » Marlin et al » crash when compiling DD4hep in ILCSoft-01-17-6 (crash in DDG4/src/Geant4ParticleHandler.cpp)
crash when compiling DD4hep in ILCSoft-01-17-6 [message #2366] Fri, 26 June 2015 06:01
Messages: 6
Registered: May 2015
Location: University of Sussex
Hi all,

I'm having some issues with the DD4hep package when I try to install v-0-17-06 of the ILCSoft packages. The issue seems to be in the constructor for DDG4/src/Geant4ParticleHandler (see below). I've tried to look for the documentation of this package (see and indeed I see differences between what is on the WEB and what is in the ILCSoft release, but maybe this is intentional...

Has anyone got the same problem or have any idea how to solve it?

Thanks a lot for any help!




Scanning dependencies of target DD4hepEveRootmap
[ 58%] Generating libDD4hepEve.rootmap
-- *** MakeROOTMap.cmake run command : /research/epp/ilc/software/ilcsoft/v01-17-06/root/v5.34.30/b in/genmap -debug -i -o libDD4hepEve.rootmap
WORKING_DIRECTORY /research/epp/ilc/software/ilcsoft/v01-17-06/DD4hep/v00-10/b uild/lib
Input Library: ''
ROOT Map file: 'libDD4hepEve.rootmap'
Output directory:.'
[ 58%] Built target DD4hepEveRootmap
[ 59%] Building CXX object DDG4/CMakeFiles/DD4hepG4.dir/src/Geant4ParticleHandler.cpp.o
/research/epp/ilc/software/ilcsoft/v01-17-06/DD4hep/v00-10/D DG4/src/Geant4ParticleHandler.cpp: In constructor â:
/research/epp/ilc/software/ilcsoft/v01-17-06/DD4hep/v00-10/D DG4/src/Geant4ParticleHandler.cpp:70: error: â was not declared in this scope
make[2]: *** [DDG4/CMakeFiles/DD4hepG4.dir/src/Geant4ParticleHandler.cpp. o] Error 1
make[1]: *** [DDG4/CMakeFiles/DD4hepG4.dir/all] Error 2
make: *** [all] Error 2

*** ERROR in module [ DD4hep ]: DEBUG INFO: {'PLATFORM': 'Linux - Scientific Linux release 6.6 (Carbon)', 'GCC_VERSION': 'gcc (GCC) 4.4.7 20120313 (Red Hat 4.4.7-11)', 'LSB_RELEASE': 'LSB Version:\t:base-4.0-amd64:base-4.0-noarch:core-4.0-amd64:cor e-4.0-noarch:graphics-4.0-amd64:graphics-4.0-noarch:printing -4.0-amd64:printing-4.0-noarch\nDistributor ID:\tScientific\nDescription:\tScientific Linux release 6.6 (Carbon)\nRelease:\t6.6\nCodename:\tCarbon', 'UNAME': 'Linux feynman 2.6.32-358.14.1.el6.x86_64 #1 SMP Tue Jul 16 14:24:33 CDT 2013 x86_64 x86_64 x86_64 GNU/Linux'}

*** ERROR in module [ DD4hep ]: At least one of these files: ['/research/epp/ilc/software/ilcsoft/v01-17-06/DD4hep/v00-10 /lib/', '/research/epp/ilc/software/ilcsoft/v01-17-06/DD4hep/v00-10/ lib/libDD4hepCore.dylib']
is required for using this installation of DD4hep
Read Message
Previous Topic:iLCSoft release v01-17-06
Next Topic:ilcsoft v01-17-07 and gcc48 with c++11
Goto Forum:

Current Time: Wed Mar 21 02:01:47 Pacific Daylight Time 2018
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.1.
Copyright ©2001-2010 FUDforum Bulletin Board Software